Name:           libykneomgr
Version:        0.1.8
Release:        1%{?dist}
Summary:        YubiKey NEO CCID Manager C Library

License:        GPLv3+
URL:            http://opensource.yubico.com/%{name}/
Source0:        http://opensource.yubico.com/%{name}/releases/%{name}-%{version}.tar.gz

BuildRequires:  libzip-devel pcsc-lite pcsc-lite-devel
BuildRequires:  zlib-devel help2man

# Bundled gnulib https://fedorahosted.org/fpc/ticket/174
Provides:       bundled(gnulib)
Provides:       ykneomgr = %{version}-%{release}  

%description 
C Library and tool to manage CCID-aspects of YubiKey NEO

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files needed to develop applications that
use libykneomgr.

%prep
%setup -q

%build
%configure --disable-rpath --disable-static

# --disable-rpath doesn't work.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# We need LD_LIBRARY_PATH so help2man can run ykneomgr.

LD_LIBRARY_PATH="$(pwd)/lib/.libs" make %{?_smp_mflags}

%check
LD_LIBRARY_PATH="$(pwd)/lib/.libs" make check

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_bindir}/ykneomgr
%{_libdir}/*.so.*
%{_mandir}/man1/ykneomgr.1.*
%doc %{_datadir}/gtk-doc/html/%{name}

%files devel
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Wed Nov 18 2015 Nick Bebout <nb@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 06 2015 Remi Collet <remi@fedoraproject.org> - 0.1.7-2
- rebuild for new libzip

* Fri Apr 10 2015 Andy Lutomirski <luto@mit.edu> - 0.1.7-1
- Update to 0.1.7

* Wed Sep 17 2014 Andy Lutomirski <luto@mit.edu> - 0.1.6-1
- Update to 0.1.6

* Thu Aug 28 2014 Andy Lutomirski <luto@mit.edu> - 0.1.5-1
- Update to 0.1.5

* Mon Aug 18 2014 Andy Lutomirski <luto@mit.edu> - 0.1.4-1
- Update to 0.1.4

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Aug 11 2014 Nick Bebout <nb@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Nick Bebout <nb@fedoraproject.org> - 0.1.2-1
- Update to 0.1.2, fix licensing and bundling issue

* Wed Mar 19 2014 Nick Bebout <nb@fedoraproject.org> - 0.0.2-3
- Provide ykneomgr, use wildcard for manpage

* Wed Mar 12 2014 Nick Bebout <nb@fedoraproject.org> - 0.0.2-2
- Remove static libraries

* Wed Mar 12 2014 Nick Bebout <nb@fedoraproject.org> - 0.0.2-1
- Initial package
